%define nb_            netbeans
%define nb_org         %{nb_}.org
%define nb_ver         6.1

Name:           %{nb_}-svnclientadapter
Version:        %{nb_ver}
Release:        3%{?dist}
Summary:        Subversion Client Adapter

License:        ASL 2.0
Url:            http://subversion.netbeans.org/teepee/svnclientadapter.html
Group:          Development/Libraries
Source0:        http://subversion.netbeans.org/files/documents/193/1800/svnClientAdapter-nb6.0.1-src.zip

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  ant-nodeps
BuildRequires:  ant-junit
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils

Requires:       java >= 1:1.6.0
Requires:       jpackage-utils
Requires:       subversion >= 1.4.5

Provides:       libnb-svnClientAdapter = 6.1

%description
SVNClientAdapter is a high-level Java API for Subversion.
This is a NetBeans forked version of SvnClientAdapter.

%prep
%setup -q -n svnClientAdapter-nb6.0.1-src
# remove all binary libs
find . -name "*.jar" -exec %{__rm} -f {} \;

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java 
ant -verbose

%install
%{__rm} -fr %{buildroot}
# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 build/lib/svnClientAdapter.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc license.txt readme.txt
%{_javadir}/*

%changelog
* Fri Aug  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 6.1-3
- Use the preferred method to package docs.
- Remove Distribution tag.

* Fri Aug 08 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.1-2
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
- An appropriate value of Group Tag is chosen from the official list
- Both license.txt and readme.txt are added as the package documentation

* Mon Jul 14 2008 Victor G. Vasilyev <victor.vasilyev@sun.com> 6.1-1
- Upgrade to version 6.1 (6.0.1 sources are used)
- Change BuldRoot
- Bootstrap into Fedora

* Thu Jan 24 2008 Jaroslav Tulach <jtulach@mandriva.org> 6.0.1-1mdv2008.1
+ Revision: 157642
- Upgrade to version 6.0.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:6.0-3mdv2008.1
+ Revision: 120971
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Mon Dec 10 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-2mdv2008.1
+ Revision: 116985
- Using pristine sources from svn repository rev. 3087, plus a modification patch

* Thu Dec 06 2007 Jaroslav Tulach <jtulach@mandriva.org> 0:6.0-1mdv2008.1
+ Revision: 115856
- create libnb-svnClientAdapter

